HWND CreateMainWindow(HWND hwnd);
void ShutDown(void);
void ListPingAllServers(void* list);
void SaveWindowPosition(HWND hwnd);
void LoadWindowPosition(HWND hwnd,int def);
void timeTaken(void);
void RespawnWindow(void);

#define CURRENT_SERVER ((server_t*)HashSelect(HASH_GLOBAL,"Status","CurrentServer",HASH_PTR))
#define CURRENT_LIST ((list_t*)HashSelect(HASH_GLOBAL,"Status","CurrentList",HASH_PTR))
#define PROG_HINSTANCE ((HINSTANCE)HashSelect(HASH_GLOBAL,"Global","Hinstance",HASH_PTR))
#define PROG_HWND ((HWND)HashSelect(HASH_GLOBAL,"Global","MainWnd",HASH_PTR))
#define PROG_TREEVIEW ((HWND)HashSelect(HASH_GLOBAL,"Global","ServersTree",HASH_PTR))

#define SET_CURRENT_SERVER(svr) ((server_t*)HashInsert(HASH_GLOBAL,"Status","CurrentServer",svr,HASH_PTR))

#define OUR_GETCURSEL CB_GETCURSEL
#define OUR_SELCHANGE CBN_SELCHANGE
#define OUR_ADDSTRING CB_ADDSTRING
#define OUR_SELECTSTRING CB_SELECTSTRING
#define OUR_SETCURSEL CB_SETCURSEL
#define OUR_RESETCONTENT CB_RESETCONTENT 


#define SEND_TIMEOUT	500 // milliseconds
// TEMPORARY
void WRITE_DEBUG(char* text);

SOCKET InitSocket(void);


#define TEXT_DESCS	0

void* GetAllServersList(void);

#ifdef __QUERY_SVR_DEF_H
int ConnectServer(server_t* svr);
void DropRequestCache(server_t* svr);
#endif

// #define _SQCHAT TRUE