#include "hash.h"
#include "svr_def.h"

// provided here for simplicity
char* GetValue(server_t* svr, char* key);

void ServersClose(void);

//void ServersUpdateList(void);
void DefaultServers(void);
//int GetServerNumber(server_t* svr);

server_t* GetServerByName(char* name);
server_t* GetServerByNumber(char* list, int num);
int GetNumberServers(void);

server_t* AddServer(void* list, server_t* s);
server_t* NewServer(char* name, char* ipaddr, char* qstat_type);
void DeleteServer(server_t* server, 
#ifdef LIST_T
				  list_t*
#else
				  void*
#endif
				  list);

void FreeServer(server_t* server);
int ServersListMember(char* list, server_t* svr);

void ServersListUpdate(int setupdate);
#define UPDATE_DISABLE	1
#define UPDATE_ENABLE	2
void ServersListUpdateEnable(int setting) ;
void DeleteServerList(void* list);

//void ServerSetItem(server_t* svr, int insert);

void ServerAddFavourites(server_t* svr);
void ServerCut(server_t* svr);
void ServerCopy(server_t* svr);
void ServerPaste(void* list);
int  ServerPastable(void* list);
void ServerClipboardEmpty(void);
